/* File: demodrvr.h */


/* Copyright 2003, Cypress Semiconductor Corporation
 *
 * This software is owned by Cypress Semiconductor Corporation (Cypress) and
 * is protected by United States copyright laws and international treaty
 * provisions. Cypress hereby grants to Licensee a personal, non-exclusive,
 * non-transferable license to copy, use, modify, create derivative works of,
 * and compile the Cypress Source Code and derivative works for the sole
 * purpose of creating custom software in support of Licensee product
 * ("Licensee Product") to be used only in conjunction with a Cypress
 * integrated circuit. Any reproduction, modification, translation,
 * compilation, or representation of this software except as specified above
 * is prohibited without the express written permission of Cypress.
 * 
 * Disclaimer: Cypress makes no warranty of any kind, express or implied, with
 * regard to this material, including, but not limited to, the implied
 * warranties of merchantability and fitness for a particular purpose. Cypress
 * reserves the right to make changes without further notice to the materials
 * described herein. Cypress does not assume any liability arising out of the
 * application or use of any product or circuit described herein. Cypress
 * products described herein are not authorized for use as components in
 * life-support devices.
 * 
 * This software is protected by and subject to worldwide patent coverage,
 * including U.S. and foreign patents. Use may be limited by and subject to
 * the Cypress Software License Agreement.
 */


#ifndef inc_demodrvr_h
#define inc_demodrvr_h

/* Included files. */

#include "tpl.h"


/* Macro definitions. */

#define DE3_INTERRUPT_IN_PIPE                 3

#define DE3_INTERRUPT_INTERVAL              200




/* Type definitions. */

typedef struct   HID_REPORT_DESCRIPTOR
{
    uint8  rpt_array[114];
    uint8  length;
} HID_REPORT_DESCRIPTOR;

/* USB All KB Descriptors Struct.
 *
 * The Device Descriptor is part of startup.s, but all of
 * the information is configured through macros in fwxcfg.h.
 *
 * Include all of the descriptor types that you need, in the
 * order that you need, in this structure.
 */

typedef struct
{
    USB_CONFIG_DESCRIPTOR       config_descriptor  ATTR_PACKED;
    USB_INTERFACE_DESCRIPTOR    interface_0        ATTR_PACKED;
    USB_HID_DESCRIPTOR          hid_0              ATTR_PACKED;
    USB_ENDPOINT_DESCRIPTOR     int_in_0           ATTR_PACKED;
    HID_REPORT_DESCRIPTOR       report_0           ATTR_PACKED;
} USB_ALL_KB_DESCRIPTORS;


/* String descriptor macros and structure. */

#define NUM_LANGID_CODES                1
#define NUM_STRING_DESCRIPTORS          3


typedef struct STRING_DESCRIPTOR
{
    uint8   length;
    uint8   descriptor_type                 ATTR_PACKED;
    uint16  langid_array[NUM_LANGID_CODES]  ATTR_PACKED;
} STRING_DESCRIPTOR;

/* Type definitions. */

typedef struct PORT_INFO
{
    bool    change;         /* Set to TRUE on insert/remove interrupt. */
    uint16  speed;
} PORT_INFO;


#ifdef FWX_INCLUDE_HOST_USB_SUPPORT

/* Data. */

extern CLASS_DRIVER de3_vendor_driver;

/* common prototypes */

void clear_HID( void );

#endif /* FWX_INCLUDE_HOST_USB_SUPPORT */



#endif /* inc_de3drvr_h */

/* End of file: de3drvr.h */

