/* File: fwxcfg.h */


/* Copyright 2003, Cypress Semiconductor Corporation
 *
 * This software is owned by Cypress Semiconductor Corporation (Cypress) and
 * is protected by United States copyright laws and international treaty
 * provisions. Cypress hereby grants to Licensee a personal, non-exclusive,
 * non-transferable license to copy, use, modify, create derivative works of,
 * and compile the Cypress Source Code and derivative works for the sole
 * purpose of creating custom software in support of Licensee product
 * ("Licensee Product") to be used only in conjunction with a Cypress
 * integrated circuit. Any reproduction, modification, translation,
 * compilation, or representation of this software except as specified above
 * is prohibited without the express written permission of Cypress.
 * 
 * Disclaimer: Cypress makes no warranty of any kind, express or implied, with
 * regard to this material, including, but not limited to, the implied
 * warranties of merchantability and fitness for a particular purpose. Cypress
 * reserves the right to make changes without further notice to the materials
 * described herein. Cypress does not assume any liability arising out of the
 * application or use of any product or circuit described herein. Cypress
 * products described herein are not authorized for use as components in
 * life-support devices.
 * 
 * This software is protected by and subject to worldwide patent coverage,
 * including U.S. and foreign patents. Use may be limited by and subject to
 * the Cypress Software License Agreement.
 */


#ifndef inc_fwxcfg_h
#define inc_fwxcfg_h

/* ******************** IMPORTANT ***********************/
/* Because of the way that this file is processed to    */
/* become fwxcfg.inc, you can ONLY USE C STYLE comments */
/* in this file.                                        */
/* ******************** IMPORTANT ***********************/

#ifdef DEBUG
  #undef  FWX_SERIAL_EEPROM   /* sets up fwxmain:main to run in the debugger */
  #define FWX_INCLUDE_LOGMSG  /* turns on LOGMSG functionality. */
#else
  #define FWX_SERIAL_EEPROM   /* sets up fwxmain:main to run from i2c */
  #undef  FWX_INCLUDE_LOGMSG  /* removes LOGMSG functionality. */
#endif


#define FWX_SIE1_DEFAULT_SYS_MODE   SYSTEM_MODE_HOST
#define FWX_SIE2_DEFAULT_SYS_MODE   SYSTEM_MODE_STOP


/* ********************************************************************** */

#define FWX_TIMER0_COUNT_VALUE         1000  /* Interrupt every ms. */
#define FWX_TIMER1_COUNT_VALUE         1000

#define FWX_DEBUG_BAUD                 FWX_BAUD_38400 
#define FWX_DEBUG_TIMEOUT               250
#define FWX_INCLUDE_DEBUG_MEM

#define FWX_USB_RESET_TIME_MS            55

#define FWX_INCLUDE_HOST_USB_SUPPORT
#define FWX_INCLUDE_SLAVE_USB_SUPPORT

#undef  FWX_CP_BIOS
#undef  FWX_INCLUDE_CP_BIOS_VECTOR_TABLE
#undef  FWX_INCLUDE_LYBERTY_SCAN_RECORD

#define FWX_SIE2_VENDOR_BUFFER_SIZE               4

#define FWX_NUM_SUPPORTED_DEVICES                 2

#define FWX_HID_DEVICE_SUPPORT

/* !!! must be at least 2 buffers */
#define FWX_NUM_SUPPORTED_URBS                    4

#define FWX_SETUP_BUFFER_SIZE                     8

/* !!! must be at least 2 buffers */
#define FWX_NUM_SUPPORTED_SETUP_BUFFERS         FWX_NUM_SUPPORTED_URBS

#define FWX_URB_XFER_BUFFER_SIZE                 64

#undef  FWX_INCLUDE_LARGE_URB_SUPPORT

/* !!! must be at least 2 buffers */
#define FWX_NUMBER_LARGE_URBS                     2
#define FWX_LARGE_URB_BUFFER_SIZE               128


#undef  FWX_INCLUDE_DEBUG_PORT

#undef  FWX_INCLUDE_OTG
#undef  FWX_INCLUDE_SRP
#undef  FWX_INCLUDE_HNP

#undef  FWX_INCLUDE_REMOTE_WAKEUP

#define FWX_INCLUDE_TD_SUPPORT
#define FWX_INCLUDE_TPL_SUPPORT
#define FWX_INCLUDE_URB_SUPPORT

#undef  FWX_INCLUDE_CPLD_SSD        /* Include SSD functions in board.* */
#undef  FWX_INCLUDE_CPLD_BUTTONS    /* Include button functionality in board.* */
#undef  FWX_INCLUDE_CPLD_DIPSWITCH  /* Include dipswitch functionality in board.* */
#undef  FWX_INCLUDE_CPLD_LEDS       /* Include LED functionality in board.* */
#undef  FWX_INCLUDE_CPLD_VBUS       /* Include VBUS functionality in board.* */
#undef  FWX_INCLUDE_CPLD_VBUS_GPIO_30

#undef  FWX_INCLUDE_UTILS_READ_FIELD /* Include read_field() from utils.* */
#undef  FWX_INCLUDE_UTILS_IS_BIT_SET /* Include is_bit_set() from utils.* */
#undef  FWX_INCLUDE_UTILS_IS_BIT_CLR /* Include is_bit_clr() from utils.* */
#undef  FWX_INCLUDE_UTILS_BYTE_SWAP  /* Include byte_swap()  from utils.* */



/* Program configuration. */

/* If you define this               You must implement this.               */
/* ----------------------------     -------------------------------------- */

#undef  FWX_INCLUDE_APP_PRE_INIT
#define FWX_INCLUDE_APP_INIT        /* void app_init(void) */
#undef  FWX_INCLUDE_APP_TASK        /* void app_task(FWX_SYSTEM_MODE mode[2]) */

#define FWX_APP_PARSE_DESCRIPTOR    /* void app_parse_sescriptors(USB_DEVICE *dev, URB *urb) */

#undef  CPLD_INCLUDE_CENTER_BUTTON

#undef  FWX_INCLUDE_BUTTON_CALLBACKS /* void app_button_handler( BUTTON b ); */
#undef  FWX_INCLUDE_DIPSWITCH_CALLBACKS /* void app_dipswitch_handler( uint16 mask ) */

#undef  FWX_INCLUDE_TIMER0_ISR      /* void timer0_isr(void) */
#undef  FWX_TIMER0_NOTIFY_1         /* void timer0_notify_1(void) */
#undef  FWX_TIMER0_NOTIFY_2         /* void timer0_notify_2(void) */
#undef  FWX_TIMER0_NOTIFY_3         /* void timer0_notify_3 */
#undef  FWX_TIMER0_NOTIFY_4         /* void timer0_notify_4(void) */
#undef  FWX_TIMER0_NOTIFY_5         /* void timer0_notify_5(void) */

#define FWX_INCLUDE_TIMER1_ISR      /* void timer1_isr(void) */
#undef  FWX_TIMER1_NOTIFY_1         /* void timer1_notify_1(void) */
#define FWX_TIMER1_NOTIFY_2         /* void timer1_notify_2(void) */
#undef  FWX_TIMER1_NOTIFY_3         /* void timer1_notify_3(void) */
#undef  FWX_TIMER1_NOTIFY_4         /* void timer1_notify_4(void) */
#undef  FWX_TIMER1_NOTIFY_5         /* void timer1_notify_5(void) */



#undef  FWX_INCLUDE_GPIO24_ISR      /* void gpio24_isr(void) */
#undef  FWX_INCLUDE_GPIO25_ISR      /* void gpio25_isr(void) */



/* Override the UART hardware interrupt handlers. */
#undef  FWX_INCLUDE_UART            /* void uart_tx_isr(void) */
                                    /* void uart_rx_isr(void) */

#undef  FWX_INCLUDE_HSS             /* void hss_dma_done_isr(void) */
                                    /* void hss_rx_full_isr(void) */

#undef  FWX_INCLUDE_IDE             /* void ide_dma_done_isr(void) */

#undef  FWX_INCLUDE_HPI             /* void hpi_tx_empty_isr(void) */
                                    /* void hpi_rx_full_isr(void) */

#undef  FWX_INCLUDE_SPI             /* void spi_tx_isr(void) */
                                    /* void spi_rx_isr(void) */
                                    /* void spi_dma_done_isr(void) */

                                    

#define FWX_INCLUDE_SIE1
#undef  FWX_INCLUDE_SIE2


#ifdef FWX_INCLUDE_HOST_USB_SUPPORT
#ifdef FWX_INCLUDE_SIE2
  #define FWX_MAX_DEVICE_ADDRESSES  4 /* Dev 0 always, and DE3 device */
#else
  #define FWX_MAX_DEVICE_ADDRESSES  3 /* Dev 0 always, and DE3 device */
#endif /* FWX_INCLUDE_SIE2 */
#endif /* FWX_INCLUDE_HOST_USB_SUPPORT */


                                   
#ifdef  FWX_INCLUDE_SIE1

/* These are defined if you want to hook (or chain) the software
 * interrupt handlers.
 * For those handlers that need to be chained, the chaining is
 * handled at a low level.  Your C level handler does not need to
 * worry about it!
 */
#undef  FWX_INCLUDE_SUSB1_STANDARD_HANDLER  /* void susb1_standard_handler(void) */
#undef  FWX_INCLUDE_SUSB1_DELTA_CFG_HANDLER /* void susb1_delta_cfg_handler(void) */
#undef  FWX_INCLUDE_SUSB1_VENDOR_HANDLER    /* void susb1_vendor_handler(void) */
#undef  FWX_INCLUDE_SUSB1_CLASS_HANDLER     /* void susb1_class_handler(void) */

/* These are defined if you want to override the hardware interrupt
 * handlers.
 */
#undef  FWX_INCLUDE_SIE1_HOST_DONE_ISR    /* void sie1_host_done_isr(void) */
#undef  FWX_INCLUDE_SIE1_HOST_SOF_ISR     /* void sie1_host_sof_isr(void) */
#undef  FWX_INCLUDE_SIE1_SLAVE_SOF_ISR    /* void sie1_slave_sof_isr(void) */
#define FWX_INCLUDE_SIE1_HOST_INS_REM_ISR /* void sie1_host_ins_rem_isr(void) */
#undef  FWX_INCLUDE_SIE1_SLAVE_RESET_ISR  /* void sie1_slave_reset_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP0_ISR          /* void sie1_ep0_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP1_ISR          /* void sie1_ep1_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP2_ISR          /* void sie1_ep2_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP3_ISR          /* void sie1_ep3_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP4_ISR          /* void sie1_ep4_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP5_ISR          /* void sie1_ep5_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP6_ISR          /* void sie1_ep6_isr(void) */ 
#undef  FWX_INCLUDE_SIE1_EP7_ISR          /* void sie1_ep7_isr(void) */ 
#undef  FWX_INCLUDE_SIE1_OTG_VBUS_ISR     /* void sie1_otg_vbus_isr(void) */
#endif /* FWX_INCLUDE_SIE1 */


                                    
#ifdef  FWX_INCLUDE_SIE2

/* These are defined if you want to hook (or chain) the software
 * interrupt handlers.
 * For those handlers that need to be chained, the chaining is
 * handled at a low level.  Your C level handler does not need to
 * worry about it!
 */
#define FWX_INCLUDE_SUSB2_STANDARD_HANDLER  /* void susb2_standard_handler(void) */
#define FWX_INCLUDE_SUSB2_DELTA_CFG_HANDLER /* void susb2_delta_cfg_handler(void) */
#undef  FWX_INCLUDE_SUSB2_VENDOR_HANDLER    /* void susb2_vendor_handler(void) */
#define FWX_INCLUDE_SUSB2_CLASS_HANDLER     /* void susb2_class_handler(void) */

/* These are defined if you want to override the hardware interrupt
 * handlers.
 */
#undef  FWX_INCLUDE_SIE2_HOST_DONE_ISR    /* void sie2_host_done_isr(void) */
#undef  FWX_INCLUDE_SIE2_HOST_SOF_ISR     /* void sie2_host_sof_isr(void) */
#undef  FWX_INCLUDE_SIE2_SLAVE_SOF_ISR    /* void sie2_slave_sof_isr(void) */
#undef  FWX_INCLUDE_SIE2_HOST_INS_REM_ISR /* void sie2_host_ins_rem_isr(void) */
#undef  FWX_INCLUDE_SIE2_SLAVE_RESET_ISR  /* void sie2_slave_reset_isr(void) */
#undef  FWX_INCLUDE_SIE2_EP0_ISR          /* void sie2_ep0_isr(void) */
#undef  FWX_INCLUDE_SIE2_EP1_ISR          /* void sie2_ep1_isr(void) */
#undef  FWX_INCLUDE_SIE2_EP2_ISR          /* void sie2_ep2_isr(void) */
#undef  FWX_INCLUDE_SIE2_EP3_ISR          /* void sie2_ep3_isr(void) */
#undef  FWX_INCLUDE_SIE2_EP4_ISR          /* void sie2_ep4_isr(void) */
#undef  FWX_INCLUDE_SIE2_EP5_ISR          /* void sie2_ep5_isr(void) */
#undef  FWX_INCLUDE_SIE2_EP6_ISR          /* void sie2_ep6_isr(void) */
#undef  FWX_INCLUDE_SIE2_EP7_ISR          /* void sie2_ep7_isr(void) */
#endif /* FWX_INCLUDE_SIE2 */


#undef  FWX_INCLUDE_POWER_DOWN_ISR  /* void power_down_isr(void) */


#endif /* inc_fwxcfg_h */

/* End of file: fwxcfg.h */

