/* File: drvrlist.h */

/*
 * Copyright 2003, Cypress Semiconductor Corporation
 *
 * This software is owned by Cypress Semiconductor Corporation (Cypress) and
 * is protected by United States copyright laws and international treaty
 * provisions.  Therefore, unless otherwise specified in a separate license
 * agreement, you must treat this software like any other copyrighted
 * material.  Reproduction, modification, translation, compilation, or
 * representation of this software in any other form (e.g., paper, magnetic,
 * optical, silicon, etc.) is prohibited without the express written
 * permission of Cypress.
 *
 * Disclaimer: Cypress makes no warranty of any kind, express or implied, with
 * regard to this material, including, but not limited to, the implied
 * warranties of merchantability and fitness for a particular purpose.
 * Cypress reserves the right to make changes without further notice to the
 * materials described herein. Cypress does not assume any liability arising
 * out of the application or use of any product or circuit described herein.
 * Cypress' products described herein are not authorized for use as
 * components in life-support devices.
 *
 * This software is protected by and subject to worldwide patent coverage,
 * including U.S. and foreign patents. Use may be limited by and subject to
 * the Cypress Software License Agreement.
 */


#ifndef inc_drvrlist_h
#define inc_drvrlist_h

#include "prnclass.h"


/* This is where you perform static registration of all of the drivers
 * that are part of your Targeted Peripheral List (TPL).  tpl.c includes
 * this file and uses FWX_DRIVER_LIST as the list of all supported
 * drivers.
 */

#define FWX_DRIVER_LIST  { &printer_class_driver_uni, &printer_class_driver_bidi }



#endif /* inc_drvrlist_h */


/* End of file: drvrlist.h */
