/* File: fwxcfg.h */

/*
 * Copyright 2003, Cypress Semiconductor Corporation
 *
 * This software is owned by Cypress Semiconductor Corporation (Cypress) and
 * is protected by United States copyright laws and international treaty
 * provisions.  Therefore, unless otherwise specified in a separate license
 * agreement, you must treat this software like any other copyrighted
 * material.  Reproduction, modification, translation, compilation, or
 * representation of this software in any other form (e.g., paper, magnetic,
 * optical, silicon, etc.) is prohibited without the express written
 * permission of Cypress.
 *
 * Disclaimer: Cypress makes no warranty of any kind, express or implied, with
 * regard to this material, including, but not limited to, the implied
 * warranties of merchantability and fitness for a particular purpose.
 * Cypress reserves the right to make changes without further notice to the
 * materials described herein. Cypress does not assume any liability arising
 * out of the application or use of any product or circuit described herein.
 * Cypress' products described herein are not authorized for use as
 * components in life-support devices.
 *
 * This software is protected by and subject to worldwide patent coverage,
 * including U.S. and foreign patents. Use may be limited by and subject to
 * the Cypress Software License Agreement.
 */


#ifndef inc_fwxcfg_h
#define inc_fwxcfg_h

#define FWX_SERIAL_EEPROM   /* sets up fwxmain:main for running from i2c */
#undef  FWX_INCLUDE_LOGMSG  /* removes LOGMSG functionality. */

#define FWX_SIE1_DEFAULT_SYS_MODE                   SYSTEM_MODE_HOST
#define FWX_SIE2_DEFAULT_SYS_MODE                   SYSTEM_MODE_SLAVE


/* ********************************************************************** */

#define FWX_TIMER0_COUNT_VALUE                      1000
#define FWX_TIMER1_COUNT_VALUE                      1000

#define FWX_DEBUG_BAUD                              FWX_BAUD_38400 
#define FWX_DEBUG_TIMEOUT                           250
#define FWX_INCLUDE_DEBUG_MEM

#define FWX_USB_RESET_TIME_MS                       55

#define FWX_INCLUDE_HOST_USB_SUPPORT

#define FWX_NUM_SUPPORTED_DEVICES                   2
#define FWX_NUM_SUPPORTED_URBS                      4

#define FWX_SETUP_BUFFER_SIZE                       8
#define FWX_NUM_SUPPORTED_SETUP_BUFFERS             FWX_NUM_SUPPORTED_URBS

#define FWX_URB_XFER_BUFFER_SIZE                    64

#define FWX_INCLUDE_LARGE_URB_SUPPORT
#define FWX_NUMBER_LARGE_URBS                       1
#define FWX_LARGE_URB_BUFFER_SIZE                   128

#undef  FWX_INCLUDE_DEBUG_PORT

#define FWX_INCLUDE_TD_SUPPORT
#define FWX_INCLUDE_TPL_SUPPORT
#define FWX_INCLUDE_URB_SUPPORT

#define FWX_INCLUDE_SIE1_TD_DONE_CALLBACK

#undef  FWX_INCLUDE_CPLD_SSD
#undef  FWX_INCLUDE_CPLD_BUTTONS
#undef  FWX_INCLUDE_CPLD_DIPSWITCH
#undef  FWX_INCLUDE_CPLD_LEDS
#undef  FWX_INCLUDE_CPLD_VBUS
#undef  FWX_INCLUDE_CPLD_VBUS_GPIO_30

#undef  FWX_INCLUDE_UTILS_READ_FIELD /* Include read_field() from utils.* */
#undef  FWX_INCLUDE_UTILS_IS_BIT_SET /* Include is_bit_set() from utils.* */
#undef  FWX_INCLUDE_UTILS_IS_BIT_CLR /* Include is_bit_clr() from utils.* */
#undef  FWX_INCLUDE_UTILS_BYTE_SWAP  /* Include byte_swap()  from utils.* */



/* Program configuration. */

/* If you define this               You must implement this.               */
/* ----------------------------     -------------------------------------- */

#undef  FWX_INCLUDE_APP_PRE_INIT    /* void app_pre_init(void) */
#define FWX_INCLUDE_APP_INIT        /* void app_init(void) */
#undef  FWX_INCLUDE_APP_TASK        /* void app_task(FWX_SYSTEM_MODE mode[2]) */
#define FWX_APP_PARSE_DESCRIPTOR


#undef  CPLD_INCLUDE_CENTER_BUTTON

#undef  FWX_INCLUDE_BUTTON_CALLBACKS /* void app_button_handler( BUTTON b ); */
#undef  FWX_INCLUDE_DIPSWITCH_CALLBACKS /* void app_dipswitch_handler( uint16 mask ) */

#undef  FWX_INCLUDE_TIMER0_ISR      /* void timer0_isr(void) */
#undef  FWX_TIMER0_NOTIFY_1         /* void timer0_notify_1(void) */
#undef  FWX_TIMER0_NOTIFY_2         /* void timer0_notify_2(void) */
#undef  FWX_TIMER0_NOTIFY_3         /* void timer0_notify_3 */
#undef  FWX_TIMER0_NOTIFY_4         /* void timer0_notify_4(void) */
#undef  FWX_TIMER0_NOTIFY_5         /* void timer0_notify_5(void) */

#define FWX_INCLUDE_TIMER1_ISR      /* void timer1_isr(void) */
#undef  FWX_TIMER1_NOTIFY_1         /* void timer1_notify_1(void) */
#define FWX_TIMER1_NOTIFY_2         /* void timer1_notify_2(void) */
#undef  FWX_TIMER1_NOTIFY_3         /* void timer1_notify_3(void) */
#undef  FWX_TIMER1_NOTIFY_4         /* void timer1_notify_4(void) */
#undef  FWX_TIMER1_NOTIFY_5         /* void timer1_notify_5(void) */


#define FWX_INCLUDE_HPI             /* void hpi_tx_empty_isr(void) */
                                    /* void hpi_rx_full_isr(void) */

#undef  FWX_INCLUDE_HSS             /* void hss_dma_done_isr(void) */
                                    /* void hss_rx_full_isr(void) */

#undef  FWX_INCLUDE_SPI             /* void spi_tx_isr(void) */
                                    /* void spi_rx_isr(void) */
                                    /* void spi_dma_done_isr(void) */

#define FWX_INCLUDE_SIE1

#define FWX_MAX_DEVICE_ADDRESSES  3 /* Dev 0 always, and DE3 device */

                                   
/* These are defined if you want to hook (or chain) the software
 * interrupt handlers.
 * For those handlers that need to be chained, the chaining is
 * handled at a low level.  Your C level handler does not need to
 * worry about it!
 */
#undef  FWX_INCLUDE_SUSB1_STANDARD_HANDLER  /* void susb1_standard_handler(void) */
#undef  FWX_INCLUDE_SUSB1_DELTA_CFG_HANDLER /* void susb1_delta_cfg_handler(void) */
#undef  FWX_INCLUDE_SUSB1_VENDOR_HANDLER    /* void susb1_vendor_handler(void) */
#undef  FWX_INCLUDE_SUSB1_CLASS_HANDLER     /* void susb1_class_handler(void) */

/* These are defined if you want to override the hardware interrupt
 * handlers.
 */
#undef  FWX_INCLUDE_SIE1_HOST_DONE_ISR    /* void sie1_host_done_isr(void) */
#undef  FWX_INCLUDE_SIE1_HOST_SOF_ISR     /* void sie1_host_sof_isr(void) */
#undef  FWX_INCLUDE_SIE1_SLAVE_SOF_ISR    /* void sie1_slave_sof_isr(void) */
#define FWX_INCLUDE_SIE1_HOST_INS_REM_ISR /* void sie1_host_ins_rem_isr(void) */
#undef  FWX_INCLUDE_SIE1_SLAVE_RESET_ISR  /* void sie1_slave_reset_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP0_ISR          /* void sie1_ep0_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP1_ISR          /* void sie1_ep1_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP2_ISR          /* void sie1_ep2_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP3_ISR          /* void sie1_ep3_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP4_ISR          /* void sie1_ep4_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP5_ISR          /* void sie1_ep5_isr(void) */
#undef  FWX_INCLUDE_SIE1_EP6_ISR          /* void sie1_ep6_isr(void) */ 
#undef  FWX_INCLUDE_SIE1_EP7_ISR          /* void sie1_ep7_isr(void) */ 
#undef  FWX_INCLUDE_SIE1_OTG_VBUS_ISR     /* void sie1_otg_vbus_isr(void) */


#endif /* inc_fwxcfg_h */

/* End of file: fwxcfg.h */

