/* File: prnclass.h */

/*
 * Copyright 2003, Cypress Semiconductor Corporation
 *
 * This software is owned by Cypress Semiconductor Corporation (Cypress) and
 * is protected by United States copyright laws and international treaty
 * provisions.  Therefore, unless otherwise specified in a separate license
 * agreement, you must treat this software like any other copyrighted
 * material.  Reproduction, modification, translation, compilation, or
 * representation of this software in any other form (e.g., paper, magnetic,
 * optical, silicon, etc.) is prohibited without the express written
 * permission of Cypress.
 *
 * Disclaimer: Cypress makes no warranty of any kind, express or implied, with
 * regard to this material, including, but not limited to, the implied
 * warranties of merchantability and fitness for a particular purpose.
 * Cypress reserves the right to make changes without further notice to the
 * materials described herein. Cypress does not assume any liability arising
 * out of the application or use of any product or circuit described herein.
 * Cypress' products described herein are not authorized for use as
 * components in life-support devices.
 *
 * This software is protected by and subject to worldwide patent coverage,
 * including U.S. and foreign patents. Use may be limited by and subject to
 * the Cypress Software License Agreement.
 */


#ifndef inc_prnclass_h
#define inc_prnclass_h

/* Included files. */

#include "tpl.h"



/* Macro definitions. */

#define PRNCLASS_DEV_ID                 0xa018


/* IOCTLs. */

#define PRNCLASS_IOCTL_SEND_TEST_PAGE       1



/* Type definitions. */


#ifdef FWX_INCLUDE_HOST_USB_SUPPORT


/* Data. */

extern CLASS_DRIVER printer_class_driver_uni;
extern CLASS_DRIVER printer_class_driver_bidi;


/* Function declarations. */

void prnclass_specify_interface( USB_INTERFACE_DESCRIPTOR *ip,
                                 USB_ENDPOINT_DESCRIPTOR *ep );
                                 
                                 
bool prnclass_use_this_intf_descr( USB_INTERFACE_DESCRIPTOR *ip );
                                 

#endif /* FWX_INCLUDE_HOST_USB_SUPPORT */



#endif /* inc_prnclass_h */

/* End of file: prnclass.h */

