/* File: sie1.h */

/*
 * Copyright 2003, Cypress Semiconductor Corporation
 *
 * This software is owned by Cypress Semiconductor Corporation (Cypress) and
 * is protected by United States copyright laws and international treaty
 * provisions.  Therefore, unless otherwise specified in a separate license
 * agreement, you must treat this software like any other copyrighted
 * material.  Reproduction, modification, translation, compilation, or
 * representation of this software in any other form (e.g., paper, magnetic,
 * optical, silicon, etc.) is prohibited without the express written
 * permission of Cypress.
 *
 * Disclaimer: Cypress makes no warranty of any kind, express or implied, with
 * regard to this material, including, but not limited to, the implied
 * warranties of merchantability and fitness for a particular purpose.
 * Cypress reserves the right to make changes without further notice to the
 * materials described herein. Cypress does not assume any liability arising
 * out of the application or use of any product or circuit described herein.
 * Cypress' products described herein are not authorized for use as
 * components in life-support devices.
 *
 * This software is protected by and subject to worldwide patent coverage,
 * including U.S. and foreign patents. Use may be limited by and subject to
 * the Cypress Software License Agreement.
 */


#ifndef inc_sie1_h
#define inc_sie1_h

/* Included files. */

#include "fwx.h"		/* To get the necessary type definitions. */


/* macros */


/* Function declarations. */

/* Allows other parts of the system to update the button state and
 * dipswitch state that is reported to the host via a DE1_STATUS_RPT
 * through the interrupt in pipe.
 */


void sie1_notify_button_change( uint16 button_state );

void sie1_notify_dipswitch_change( uint16 dipswitch_state );

void sie1_idle(void);

void sie1_init_host(void);

void sie1_check_for_connected_devices(void);

void sie1_host_cleanup(void);

void set_port_change( uint16 port );


#endif /* inc_sie1_h */

/* End of file: sie1.h */
